package com.example.demo.entity;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
public class UserDO implements Serializable {
    private Long id;

    private String name;

    private Integer shardingKey;
    
    private Integer limit;
    
    private String addTime;
    
    private Date createTime;

    private static final long serialVersionUID = 1L;

	public UserDO(String name, Integer shardingKey) {
		this.name = name;
		this.shardingKey = shardingKey;
	}
    public UserDO(Long id, String name, Integer shardingKey) {
	    this.id = id;
        this.name = name;
        this.shardingKey = shardingKey;
    }
}
